@import "CssWorkgroup";

.notification {
    position: relative;
    width: 100%;
    min-height: 0;
    max-height: 14px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    background: color-gray(2);

    &.-fix {
        position: fixed;
        bottom: 0;
        left: 0;
        z-index: z-index('notification');
    }

    opacity: 0;
    visibility: hidden;
    transition: all .1s linear 0s;

    &.-in {
        min-height: 15px;
        opacity: 1;
        visibility: visible;
        animation: load 0.4s ease-in forwards;
    }

    &.-success {
        background: $color-success;
    }

    &.-hint {
        background: $color-hint;
    }

    &.-error {
        background: $color-error;
    }

    span {
        display: block;
        width: 100%;
        padding: 0 5px;

        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;

        text-align: left;
        @include _font-size($font-size-small);
        @include _font-headline('regular', rgba($color-black, .4));

        &:before {
            position: relative;
            top: 1px;
            margin-right: 3px;
            @include _font-size($font-size-7);
        }
    }

    &.-success span:before { @include _getIcon('success'); }
    &.-error span:before { @include _getIcon('error'); }
    &.-hint span:before { @include _getIcon('hint'); }
}

@keyframes load {
    0% { width: 0; }
    100% { width: 100%; }
}
